Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82750 - artsbuilder crashes upon playing example files
Summary: artsbuilder crashes upon playing example files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: arts
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-25 20:25 UTC by Peter van Egdom
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-14 13:33:19 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2003-01-25 20:25:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030121

Description of problem:
Artsbuilder, the synthesizer design program delivered with KDE, crashes after
loading example files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start artsbuilder
2. Load one of the example files in /usr/share/apps/artsbuilder/examples/
  (e.g. example_stereobeep.arts)
3. Press 'play'.

    

Actual Results:  artsbuilder crashes.

Expected Results:  artsbuilder should play sound.

Additional info:

arts-devel-1.1-3 (RAWHIDE)
arts-1.1-3 (RAWHIDE)

Phoebe 8.0.93

Here's the traceback :

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New Thread
1097949632 (LWP 7026)]
[New Thread 1116904768 (LWP 7027)]
0xffffe002 in ??
    ()
#0  0xffffe002 in ?? ()
#1  0x406b740d in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#2  <signal handler called>
#3  0x08066a0c in std::vector<Arts::EnumComponent,
std::allocator<Arts::EnumComponent> >::~vector() ()
#4  0x0805e438 in QPainter::save() ()
#5  0x0805fa66 in QPainter::save() ()
#6  0x40a48079 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#7  0x40a47f1d in QObject::activate_signal(int) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#8  0x40479c7b in KAction::activated() () from /usr/lib/libkdeui.so.4
#9  0x4046b10f in KAction::slotActivated() () from /usr/lib/libkdeui.so.4
#10 0x40479e81 in KAction::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeui.so.4
#11 0x40a47ff0 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#12 0x40a47f1d in QObject::activate_signal(int) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#13 0x40d2d80e in QButton::clicked() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#14 0x40ac97c6 in QButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#15 0x40a7bfbc in QWidget::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#16 0x409e9ed4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#17 0x409e9703 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#18 0x4064b1e9 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#19 0x40990178 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#20 0x4098dcbf in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#21 0x409a2bba in QEventLoop::processEvents(unsigned) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#22 0x409fdca6 in QEventLoop::enterLoop() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#23 0x409fdb48 in QEventLoop::exec() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#24 0x409ea101 in QApplication::exec() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#25 0x0805f63e in QPainter::save() ()
#26 0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6

Comment 1 Thomas Woerner 2003-02-14 13:33:19 UTC
Fixed in rawhide in rpm arts-1.1-5 or newer.

All kde packages, which are using libmcop (provided by arts) have to be upgraded
to the latest version. These packages are: kdelibs, kdebase, kdemultimedia,
kdeaddons, kdegames and koffice.


Note You need to log in before you can comment on or make changes to this bug.